> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# fetchFollowersForAChannel

For channel

> **Group:** Channel APIs

Use this when you need: **For channel**.

## Usage

```ts theme={"system"}
import { NeynarAPIClient, Configuration } from "@neynar/nodejs-sdk";

const client = new NeynarAPIClient(
  new Configuration({ apiKey: "YOUR_NEYNAR_API_KEY" })
);

const res = await client.fetchFollowersForAChannel({
  id: "example", // Channel ID for the channel being queried
  // xNeynarExperimental: true, 
  // viewerFid: 123, 
  // cursor: "example", 
  // limit: 123, 
});
console.log(res);
```

## Parameters

| Parameter             | Type      | Required | Description                              |
| --------------------- | --------- | :------: | ---------------------------------------- |
| `id`                  | `string`  |     ✅    | Channel ID for the channel being queried |
| `xNeynarExperimental` | `boolean` |     ❌    | -                                        |
| `viewerFid`           | `number`  |     ❌    | -                                        |
| `cursor`              | `string`  |     ❌    | -                                        |
| `limit`               | `number`  |     ❌    | -                                        |

## Response

Returns a `RequestArgs` object.

## Error Handling

```ts theme={"system"}
try {
  const res = await client.fetchFollowersForAChannel({
    id: "example"
  });
  // use res
} catch (err) {
  // Axios/HTTP errors, invalid params, auth issues, etc.
  console.error(err);
}
```

## Related API Reference

📖 **API Reference:** [fetchFollowersForAChannel](/reference/fetch-followers-for-a-channel)

For detailed information about the HTTP endpoint, request/response schemas, and additional examples, see the complete API documentation.

## Tips

* Provide a **viewerFid** when supported to respect mutes/blocks and include `viewer_context`.
* Keep requests scoped (e.g., use `limit`) to improve latency.
* Cache results where sensible.


## Related topics

- [SDK v1 to v2 migration guide](/reference/neynar-nodejs-sdk-v1-to-v2-migration-guide.md)
- [fetchRelevantFollowersForAChannel](/nodejs-sdk/channel-apis/fetchRelevantFollowersForAChannel.md)
- [For channel](/reference/fetch-followers-for-a-channel.md)
- [Relevant followers](/reference/fetch-relevant-followers-for-a-channel.md)
- [Followers](/reference/fetch-user-followers.md)
